%define oname		libwnck

%define api_version	3
%define lib_major	0
%define api		%{api_version}.0
%define libname		%mklibname wnck %{api_version} %{lib_major}
%define gi_name		%mklibname wnck-gir %{api}
%define libnamedev	%mklibname wnck %{api_version} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Libwnck is Window Navigator Construction Kit
Name:		libwnck3
Version:	43.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
# fix wnck-pager
Patch1:        libwnck_0001-Revert-pager-do-not-change-workspace-size-from-size_.patch
# https://gitlab.gnome.org/GNOME/libwnck/-/merge_requests/10
Patch2:        libwnck_0001-Expose-window-scaling-factor_43.patch
Patch3:        libwnck_0002-icons-Use-cairo-surfaces-to-render-icons_43.patch
Patch4:        libwnck_0003-xutils-Change-icons-to-being-cairo-surfaces_43.patch
Patch5:        libwnck_0004-icons-Mark-GdkPixbuf-icons-as-deprecated_43.patch
Patch6:        libwnck_0005-tasklist-Add-surface-loader-function_43.patch
# fix https://gitlab.gnome.org/GNOME/libwnck/-/issues/154#note_1562760
# https://gitlab.gnome.org/GNOME/libwnck/-/commit/07694559cc0c65ce1cca9ac33b165cef84c34d5e
Patch7:        libwnck_0001-Revert-xutils-Get-the-correct-PID-for-clients-inside.patch
# https://bugs.launchpad.net/ubuntu/+source/libwnck3/+bug/1990263
# https://gitlab.gnome.org/GNOME/libwnck/-/merge_requests/46
Patch8:        libwnck3_handle_avoid_segfault_in_invalidate_icons.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xres)
BuildRequires:	gtk-doc
BuildRequires:	gettext
BuildRequires:	meson
Conflicts:	libwnck < 2.30.6-5.mga2

%description
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{libname}
Summary:	Libwnck is Window Navigator Construction Kit
Group:		System/Libraries
Requires:	%{name} >= %{version}
Obsoletes:	%{_lib}wnck-3_0 < 3.1.5

%description -n %{libname}
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package -n %{libnamedev}
Summary:	Development libraries and include files for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{gi_name} = %{version}
Conflicts:	%mklibname -d wnck-1_ 4
Conflicts:	%mklibname -d wnck-1_ 16
Conflicts:	%mklibname -d wnck-1_ 18
Obsoletes:	%{_lib}wnck-3-devel < 3.1.5

%description -n %{libnamedev}
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

rm -rf %{buildroot}%{_datadir}/locale/{io,be@latin,bn_IN,si,uz@cyrillic}

%find_lang libwnck-3.0

%files -f libwnck-3.0.lang
%{_bindir}/wnckprop
%{_bindir}/wnck-urgency-monitor

%files -n %{libname}
%{_libdir}/libwnck-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Wnck-%{api}.typelib

%files -n %{libnamedev}
%{_includedir}/*
%doc %{_datadir}/gtk-doc/html/libwnck-3.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Wnck-%{api}.gir


%changelog
* Wed Nov 23 2022 tv <tv> 43.0-2.mga9
+ Revision: 1910503
- Fix bamfdaemon segfault (https://bugs.launchpad.net/ubuntu/+source/libwnck3/+bug/1990263)
- Fix XFCE X2Go (https://gitlab.gnome.org/GNOME/libwnck/-/issues/154)

* Fri Sep 23 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891752
- Update to 43.0

* Thu Mar 31 2022 umeabot <umeabot> 40.1-2.mga9
+ Revision: 1835765
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1779140
- new version 40.1

* Thu May 20 2021 daviddavid <daviddavid> 40.0-1.mga9
+ Revision: 1725786
- new version 40.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Mar 26 2020 daviddavid <daviddavid> 3.36.0-1.mga8
+ Revision: 1560754
- new version 3.36.0

* Sat Feb 15 2020 umeabot <umeabot> 3.32.0-2.mga8
+ Revision: 1526251
- Mageia 8 Mass Rebuild

* Wed May 01 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1396032
- new version 3.32.0

* Thu Apr 18 2019 daviddavid <daviddavid> 3.31.4-2.mga7
+ Revision: 1393097
- add patch to fix build with meson 0.50
+ umeabot <umeabot>
- Rebuild with meson 0.50.1

* Fri Mar 08 2019 daviddavid <daviddavid> 3.31.4-1.mga7
+ Revision: 1372851
- new version 3.31.4
- switch to meson build system

* Wed Sep 12 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1258484
- new version 3.30.0

* Fri Dec 15 2017 wally <wally> 3.24.1-1.mga7
+ Revision: 1182717
- new version 3.24.1

* Mon Sep 26 2016 tv <tv> 3.20.1-2.mga6
+ Revision: 1056835
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1056077
- new version 3.20.1

* Fri Feb 05 2016 ovitters <ovitters> 3.14.1-1.mga6
+ Revision: 937831
- new version 3.14.1

* Mon Jun 22 2015 ovitters <ovitters> 3.14.0-1.mga6
+ Revision: 838907
- new version 3.14.0

* Wed Oct 15 2014 umeabot <umeabot> 3.4.9-5.mga5
+ Revision: 744726
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.4.9-4.mga5
+ Revision: 731181
- rebuild so that it picks typelib() requires

* Fri Sep 26 2014 wally <wally> 3.4.9-3.mga5
+ Revision: 724935
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 3.4.9-2.mga5
+ Revision: 681859
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 ovitters <ovitters> 3.4.9-1.mga5
+ Revision: 671013
- new version 3.4.9

* Tue Sep 02 2014 ovitters <ovitters> 3.4.8-1.mga5
+ Revision: 670985
- new version 3.4.8

* Sat Oct 19 2013 umeabot <umeabot> 3.4.7-2.mga4
+ Revision: 532414
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 ovitters <ovitters> 3.4.7-1.mga4
+ Revision: 468306
- new version 3.4.7

* Tue Aug 06 2013 ovitters <ovitters> 3.4.6-1.mga4
+ Revision: 464238
- new version 3.4.6

* Fri Feb 08 2013 ovitters <ovitters> 3.4.5-1.mga4
+ Revision: 396860
- new version 3.4.5

* Sat Jan 12 2013 umeabot <umeabot> 3.4.4-2.mga3
+ Revision: 358465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 ovitters <ovitters> 3.4.4-1.mga3
+ Revision: 317238
- new version 3.4.4

* Tue Sep 04 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 288000
- new version 3.4.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235672
- new version 3.4.2

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226579
- clean spec
- new version 3.4.0

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205866
- new version 3.3.5

* Sun Oct 16 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155506
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148600
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145645
- new version 3.1.92
- clean .spec a bit

* Wed Aug 31 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137025
- new version 3.1.90
- new version 3.1.5

* Sun Jul 10 2011 cjw <cjw> 3.0.2-3.mga2
+ Revision: 121530
- move GObject Introspection typelib to a separate subpackage
- rebuild for automatic typelib provides and deps
- add BuildRequires: libxres-devel

* Tue Jun 14 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 106094
- Add conflicts to ease update

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 101977
- imported package libwnck3

